enum Status { LOADING, COMPLETED, ERROR, WAITING, VALID, NOTVALID }

class AppResponse<T> {
  Status status;
  T body;
  String message;
  dynamic error;

  AppResponse({this.status, this.body, this.error, this.message});

  AppResponse.loading({this.message}) : status = Status.LOADING;

  AppResponse.error(this.error) : status = Status.ERROR;

  AppResponse.completed(this.body) : status = Status.COMPLETED;
}
